List NAF activities
curl --request GET \
--url https://api.gabin.ai/v1/naf \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/naf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/naf"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"code": "<string>",
"label": "<string>",
"class": "<string>",
"group": "<string>",
"division": {
"code": "<string>",
"label": "<string>"
},
"section": {
"code": "<string>",
"label": "<string>"
},
"sector": "<string>"
}
],
"meta": {
"page": {
"next_cursor": "<string>",
"limit": 0
},
"total": 0,
"total_kind": "exact"
}
}
Reference data
List NAF activities
NAF rev. 2 sub-classes (732), the activity level SIRENE stores, with their hierarchy and Gabin sector. Filter by words of the label or start of the code (q) and by section. Codes go into the naf filter of GET /v1/companies (divisions and sections are accepted there too).
GET
/
v1
/
naf
List NAF activities
curl --request GET \
--url https://api.gabin.ai/v1/naf \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/naf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/naf"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"code": "<string>",
"label": "<string>",
"class": "<string>",
"group": "<string>",
"division": {
"code": "<string>",
"label": "<string>"
},
"section": {
"code": "<string>",
"label": "<string>"
},
"sector": "<string>"
}
],
"meta": {
"page": {
"next_cursor": "<string>",
"limit": 0
},
"total": 0,
"total_kind": "exact"
}
}
Authorizations
API key gab_live_… or OAuth access token gat_….
Query Parameters
Words of the label or start of the code, accents ignored. Example: "boulangerie", "43.2".
Maximum string length:
80NAF section letter. Example: "F".
Pattern:
^[A-Ua-u]$⌘I